Package org.h2.server.web

# Class WebServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.h2.server.web.WebServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class WebServlet extends javax.servlet.http.HttpServlet
This servlet lets the H2 Console be used in a standard servlet container such as Tomcat or Jetty.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WebServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`void`
`doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`void`
`init()`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebServlet

public WebServlet()

## Method Details

### init

public void init()

Overrides:
  `init` in class `javax.servlet.GenericServlet`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Servlet`
Overrides:
  `destroy` in class `javax.servlet.GenericServlet`

### doGet

public void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException`

### doPost

public void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException`